%define version      0.1.46
%define release      3mdk
%define prefix   /usr
%define name	 gnome-pilot

Summary: GNOME pilot programs
Summary(da): GNOME pilot programmer
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: LGPL
Group: Communications
Source: %{name}-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-buildroot
Obsoletes: gnome-pilot
Packager: Eskil Heyn Olsen <deity@eskil.dk>
URL: http://www.gnome.org/gnome-pilot
Prereq: /sbin/install-info
Prefix: %{prefix}
Docdir: %{prefix}/doc
Requires: pilot-link >= 0.9.0
Requires: gnome-core >= 1.0.7
Requires: ORBit >= 0.4.3

%description
GNOME pilot is a collection of programs and daemon for integrating
GNOME and the PalmPilot<tm>.

GNOME is the GNU Network Object Model Environment.  That's a fancy
name but really GNOME is a nice GUI desktop environment.  It makes
using your computer easy, powerful, and easy to configure.

%description -l da

GNOME str for GNU Network Object Model Environment, GNU Netvrk Objekt
Model Milj. Et smart navn, men GNOME er i virkeligheden en pnt GUI
desktop milj. Det gr brugen af din computer nemmere, kraftiger og nemmere
at stte op.

%package devel
Summary: GNOME pilot libraries, includes, etc
Summary(da): GNOME pilot biblioteker, include filer etc.
Group: Development/Other
Requires: gnome-core-devel
Requires: ORBit-devel
Requires: pilot-link-devel
Requires: gnome-pilot = %{ver}
PreReq: /sbin/install-info

%description devel
gpilotd libraries and includes.

%description devel -l da
gpilotd include filer og biblioteker.

%prep
%setup

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix --sysconfdir=$RPM_BUILD_ROOT/etc --disable-rpath
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --sysconfdir=$RPM_BUILD_ROOT/etc --disable-rpath
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin
%{prefix}/lib
#%{prefix}/share/
/usr/share/locale/no/LC_MESSAGES/*
/usr/share/locale/ja/LC_MESSAGES/*
/usr/share/locale/es/LC_MESSAGES/*
/usr/share/locale/da/LC_MESSAGES/*


%config /etc/CORBA/*

%files devel
%defattr(-, root, root)
%{prefix}/include/

%changelog  
* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.46-3mdk
- fix group

* Fri Dec 17 1999 Lenny Cartier <lenny@mandrakesoft.com>
- fix the uninstall problems

* Wed Dec 08 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs

* Wed Feb 17 1999 Eskil Heyn Olsen <deity@eskil.dk>  
- Created the .spec file    
